<?php
/**
 * Plugin Name: Et-woo-product-price
 * Description: This plugin displays a table of products and their prices group by categories
 * Plugin URI: http://easytech.vn/et-woo-product-price-plugin-for-wordpress/
 * Author: easytech.vn
 * Version: 1.2
 * Author URI: http://easytech.vn
 *
 *
 * Et-woo-product-price is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * Et-woo-product-price is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 */
register_activation_hook(__FILE__, 'woo_product_price_active');
function woo_product_price_active()
	{
			add_option('pricelist_header', 'Product Price List');
			add_option('pricelist_logo', 'http://easytech.vn/wp-content/themes/draven/assets/images/logo.png');
			add_option('facebook_chat', "");
		
	}
	register_deactivation_hook(__FILE__, 'woo_product_price_deactive');
	function woo_product_price_deactive()
	{
			delete_option('pricelist_header');
			delete_option('pricelist_logo');
			delete_option('facebook_chat');
	}
if(!class_exists('Woo_product_price') &&  in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) )) {
	

    class Woo_product_price {
			
		private static $instance;
		protected $templates;

        function __construct() {
                       
			define( 'Woo_product_price_PATH', dirname( __FILE__ ) );
			define( 'Woo_product_price_PATH_URL', plugin_dir_url( __FILE__ ));
			$this->templates = array(	'template/productprice.php' => 'productprice'	); 
				add_action( 'admin_menu', array( $this, 'Woo_product_price_add_menu_links') );
			add_action('init', array( $this, 'Woo_product_price_init') );
			add_filter('theme_page_templates', array( $this, 'add_new_template' )); 
			add_filter('wp_insert_post_data', array( $this, 'register_project_templates' ) );
			add_filter('template_include', array( $this, 'view_project_template') );
		}
		public static function get_instance() {
			if ( null == self::$instance ) {
							self::$instance = new Woo_product_price();
			} 
			return self::$instance;
		} 
				
				

		public function Woo_product_price_init() {
			global $wpdb;
			$wpdb->show_errors(); 
		
		}
public function Woo_product_price_add_menu_links() {
			global $wp_version, $_registered_pages;
			$view_level = current_user_can('watu_manage') ? 'watu_manage' : 'manage_options';
			add_menu_page(__('ETWoo product price', 'et_woo_product_price'), __('ETWoo product price', 'et_woo_product_price'), $view_level, 'et_woo_product_prices', 'et_woo_product_prices');
			
		
		}
		
		public function add_new_template( $posts_templates ) {
			$posts_templates = array_merge( $posts_templates, $this->templates );
			return $posts_templates;
		}
	

		public function register_project_templates( $atts ) { 
			$cache_key = 'page_templates-' . md5( get_theme_root() . '/' . get_stylesheet() );
	 
			$templates = wp_get_theme()->get_page_templates();
			if ( empty( $templates ) ) {
				$templates = array();
			} 
	 
			wp_cache_delete( $cache_key , 'themes');
	 
			$templates = array_merge( $templates, $this->templates );
	 
			wp_cache_add( $cache_key, $templates, 'themes', 1800 );

			return $atts;

		} 
	 
		public function view_project_template( $template ) { 
			global $post;
	 
			if ( ! $post ) {
				return $template;
			}
	 
			if ( ! isset( $this->templates[get_post_meta( 
				$post->ID, '_wp_page_template', true 
			)] ) ) {
				return $template;
			} 

			$file = plugin_dir_path( __FILE__ ). get_post_meta( 
				$post->ID, '_wp_page_template', true
			);
	 
			if ( file_exists( $file ) ) {
				return $file;
			} else {
				echo $file;
			}
	 
			return $template;
		}
			
    }
	add_action( 'plugins_loaded', array( 'Woo_product_price', 'get_instance' ) );
	function et_woo_product_prices()
	{
		if( isset($_REQUEST['submit']) ) {
	//	 print_r($_POST); 
		 
		$pricelist_header	= "";
		if( isset(	$_POST['pricelist_header']))
			$pricelist_header = $_POST['pricelist_header'];
		$pricelist_logo ="";
		if ( isset($_POST['pricelist_logo']))
			$pricelist_logo	= $_POST['pricelist_logo'];
		if ( isset($_POST['facebook_chat']))
			$facebook_chat	= $_POST['facebook_chat'];
		$action	= $_GET['action'];
		if($action == 'save'){
			update_option('pricelist_header', $pricelist_header);
			update_option('pricelist_logo', $pricelist_logo);
			update_option('facebook_chat', $facebook_chat);
			
				echo "<h1> Saved! </h1>";
		}
	}

		echo '<h1>ETWoo_product_price Plugin Options</h1>';
		include(Woo_product_price_PATH . '/views/productprice_admin.php');  
	}
		
}
add_action('wp_ajax_woocommerce_ajax_add_to_cart', 'woocommerce_ajax_add_to_cart');
add_action('wp_ajax_nopriv_woocommerce_ajax_add_to_cart', 'woocommerce_ajax_add_to_cart');
        
function woocommerce_ajax_add_to_cart() {

            $product_id = apply_filters('woocommerce_add_to_cart_product_id', absint($_POST['product_id']));
            $quantity = empty($_POST['quantity']) ? 0 : wc_stock_amount($_POST['quantity']);
            $variation_id = absint($_POST['variation_id']);
            $passed_validation = apply_filters('woocommerce_add_to_cart_validation', true, $product_id, $quantity);
            $product_status = get_post_status($product_id);

            if ($passed_validation && WC()->cart->add_to_cart($product_id, $quantity, $variation_id) && 'publish' === $product_status) {

                do_action('woocommerce_ajax_added_to_cart', $product_id);

                if ('yes' === get_option('woocommerce_cart_redirect_after_add')) {
                    wc_add_to_cart_message(array($product_id => $quantity), true);
                }
				 echo '<a	class="add-cart button add_to_cart_button "	href="'. wc_get_cart_url() .'"> Đã chọn '.WC()->cart->get_cart_contents_count().' Total: '.number_format(WC()->cart->total).' </a>;';
				 
				 $product = wc_get_product($product_id);
				 	$targeted_id = $product_id;
				
				foreach ( WC()->cart->get_cart() as $cart_item ) { 
					if($cart_item['product_id'] == $targeted_id ){
						$qty =  $cart_item['quantity'];
						break; // stop the loop if product is found
					}
				}
				// Displaying the quantity if targeted product is in cart
				if( ! empty( $qty ) && ($quantity + 0) == ($qty+0) )
					echo ' ' . $quantity . ' '.$product->get_title().' added';
				else
				{
					echo ' ' . $quantity .  ' more '.$product->get_title().' added ';
				}
				//echo'tổng số sản phẩm: '. WC()->cart->get_cart_contents_count();
				//echo 'tổng tiền: '.WC()->cart->total;
             //   WC_AJAX :: get_refreshed_fragments();
            } else {

                $data = array(
                    'error' => true,
                    'product_url' => apply_filters('woocommerce_cart_redirect_after_error', get_permalink($product_id), $product_id));

            //    echo wp_send_json($data);
			echo '0';
            }

            wp_die();
        }
?>


